Package org.pushingpixels.substance.swingx

# Class SubstanceMonthViewUI.SubstanceRenderingHandler

java.lang.Object
org.pushingpixels.substance.swingx.SubstanceMonthViewUI.SubstanceRenderingHandler

All Implemented Interfaces:
  `org.jdesktop.swingx.plaf.basic.CalendarRenderingHandler`

Enclosing class:
  `SubstanceMonthViewUI`

protected class SubstanceMonthViewUI.SubstanceRenderingHandler extends Object

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SubstanceRenderingHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected org.jdesktop.swingx.renderer.StringValue`
`createDayStringValue(Locale arg0)`
`protected org.jdesktop.swingx.renderer.StringValue`
`createMonthHeaderStringValue(Locale arg0)`
`protected org.jdesktop.swingx.renderer.StringValue`
`createWeekOfYearStringValue(Locale arg0)`
`JComponent`
`prepareRenderingComponent(org.jdesktop.swingx.JXMonthView monthView, Calendar calendar, org.jdesktop.swingx.plaf.basic.CalendarState dayState)`
`void`
`setLocale(Locale arg0)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceRenderingHandler

protected SubstanceRenderingHandler()

## Method Details

### prepareRenderingComponent

public JComponent prepareRenderingComponent(org.jdesktop.swingx.JXMonthView monthView, Calendar calendar, org.jdesktop.swingx.plaf.basic.CalendarState dayState)

Specified by:
  `prepareRenderingComponent` in interface `org.jdesktop.swingx.plaf.basic.CalendarRenderingHandler`

### createMonthHeaderStringValue

protected org.jdesktop.swingx.renderer.StringValue createMonthHeaderStringValue(Locale arg0)

### createWeekOfYearStringValue

protected org.jdesktop.swingx.renderer.StringValue createWeekOfYearStringValue(Locale arg0)

### createDayStringValue

protected org.jdesktop.swingx.renderer.StringValue createDayStringValue(Locale arg0)

### setLocale

public void setLocale(Locale arg0)

Specified by:
  `setLocale` in interface `org.jdesktop.swingx.plaf.basic.CalendarRenderingHandler`